# $Revision: 1.92.2.2 $, $Date: 2004/03/15 14:30:09 $
#
# Conditional build:
%bcond_with	internal_neon		# build with internal neon
%bcond_without	net_client_only		# build only net client
#	
%include	/usr/lib/rpm/macros.python
%{!?with_net_client_only:%include	/usr/lib/rpm/macros.perl}
Summary:	A Concurrent Versioning system similar to but better than CVS
Summary(pl):	System kontroli wersji podobny, ale lepszy, ni CVS
Summary(pt_BR):	Sistema de versionamento concorrente
Name:		subversion
Version:	1.0.1
Release:	2
License:	Apache/BSD Style
Group:		Development/Version Control
Source0:	http://svn.collab.net/tarballs/%{name}-%{version}.tar.bz2
# Source0-md5:	50ca608d260b76d99ed85909acb7ae92
Source1:	%{name}-dav_svn.conf
Source2:	%{name}-authz_svn.conf
Source3:	%{name}-svnserve.init
Source4:	%{name}-svnserve.sysconfig
#Patch0:		%{name}-svnlook.patch
#Patch1:		%{name}-hot_backup_num.patch
URL:		http://subversion.tigris.org/
Requires:	%{name}-libs = %{version}-%{release}
%if %{with net_client_only}
%global apache_modules_api 0
%else
BuildRequires:	automake
BuildRequires:	apache-devel >= 2.0.47-0.6
BuildRequires:	db-devel >= 4.1.25
BuildRequires:	rpmbuild(macros) >= 1.120
BuildRequires:	swig >= 1.3.19
BuildRequires:	swig-python >= 1.3.19
BuildRequires:	swig-perl >= 1.3.19
BuildRequires:	perl-devel >= 5.8.0
BuildRequires:	rpm-perlprov
%endif
BuildRequires:	apr-devel >= 1:0.9.5
BuildRequires:	apr-util-devel >= 1:0.9.5
BuildRequires:	autoconf >= 2.57
BuildRequires:	bison
BuildRequires:	docbook-style-xsl >= 1.56
BuildRequires:	expat-devel
BuildRequires:	libtool >= 1.4-9
BuildRequires:	libxslt-progs
%{!?with_internal_neon:BuildRequires:	neon-devel >= 0.24.1}
BuildRequires:	python-devel >= 2.2
BuildRequires:	rpm-pythonprov >= 4.0.2-50
BuildRequires:	texinfo
BuildRequires:	which
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_apachelibdir	/usr/%{_lib}/apache
%define		_libexecdir	%{_libdir}/svn

%description
The goal of the Subversion project is to build a version control
system that is a compelling replacement for CVS in the open source
community.

Our goals are:
- All current CVS features.
- Directories, renames, and file meta-data are versioned.
- Symbolic links, etc, are supported
- Commits are truly atomic.
- Branching and tagging are cheap (constant time) operations
- Repeated merges are handled gracefully
- Support for plug-in client side diff programs
- Natively client/server
- Client/server protocol sends diffs in both directions
- Costs are proportional to change size, not project size
- Internationalization
- Progressive multi-lingual support

%description -l pl
Celem projektu Subversion jest stworzenie systemu kontroli wersji jako
zamiennika dla CVS.

Cele projektu to:
- Wszystkie aktualne moliwoci CVS.
- Katalogi, zmiany nazw oraz meta-dane plikw s wersjonowane.
- Wsparcie dla linkw symbolicznych itp.
- Commity s w peni atomowe.
- Branchowanie oraz tagowanie s tanimi (staymi w czasie) operacjami.
- Powtarzajce merge.
- Wsparcie dla pluginw diff'a po stronie klienta.
- Natywny klient/serwer.
- Klient/Serwer przesyaj diffy w obu kierunkach.
- Koszty proporcjonalne do rozmiaru zmiany, a nie rozmiaru projektu.
- Internacjonalizacja.
- Postpujce wsparcie dla wielu jzykw.

%description -l pt_BR
O objetivo do projeto Subversion  construir um sistema de controle de
verses que seja um substituto para o CVS (Concurrent Versioning
System) na comunidade opensource, fornecendo grandes melhorias.

%package libs
Summary:	Subversion libraries and modules
Summary(pl):	Biblioteka subversion oraz adowalne moduy
Group:		Libraries
Obsoletes:	libsubversion0

%description libs
Subversion libraries and modules.

%description libs -l pl
Biblioteka subversion oraz adowalne moduy.

%package devel
Summary:	Header files and develpment documentation for subversion
Summary(pl):	Pliki nagwkowe i dokumetacja do subversion
Summary(pt_BR):	Arquivos de desenvolvimento para o Subversion
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Obsoletes:	libsubversion0-devel

%description devel
Header files and develpment documentation for subversion.

%description devel -l pl
Pliki nagwkowe i dokumetacja do subversion.

%description devel -l pt_BR
Este pacote prov os arquivos necessrios para desenvolvedores
interagirem com o Subversion.

%package static
Summary:	Static subversion library
Summary(pl):	Biblioteka statyczna subversion
Summary(pt_BR):	Sistema de versionamento concorrente
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}
Obsoletes:	libsubversion0-static-devel

%description static
Static subversion library.

%description static -l pl
Biblioteka statyczna subversion.

%description static -l pt_BR
Este pacote prov um cliente esttico do subversion.

%package svnserve
Summary:	Subversion svnserve
Summary(pl):	Subversion svnserve
Group:		Networking/Daemons
PreReq:		rc-scripts
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}

%description svnserve
Subversion svnserve server.

%description svnserve -l pl
Serwer subversion svnserve.

%package tools
Summary:	Subversion tools and scripts
Summary(pl):	Narzdzia oraz skrypty dla subversion
Summary(pt_BR):	Mdulos python para acessar os recursos do Subversion
Group:		Applications
%pyrequires_eq	python
Requires:	python-rcsparse >= 0.1-0.20031026.0
Requires:	python-subversion = %{version}
Requires:	%{name} = %{version}-%{release}

%description tools
Subversion tools and scripts.

%description tools -l pl
Narzdzia oraz skrypty dla subversion.

%package -n python-subversion
Summary:	Subversion python bindings
Summary(pl):	Dowizania do subversion dla pythona
Summary(pt_BR):	Mdulos python para acessar os recursos do Subversion
Group:		Development/Languages/Python
%pyrequires_eq	python
Obsoletes:	subversion-python
Requires:	%{name}-libs = %{version}-%{release}

%description -n python-subversion
Subversion python bindings.

%description -n python-subversion -l pl
Dowizania do subversion dla pythona.

%description -n python-subversion -l pt_BR
Mdulos python para acessar os recursos do Subversion.

%package -n perl-subversion
Summary:	Subversion perl bindings
Summary(pl):	Dowizania do subversion dla perla
Summary(pt_BR):	Mdulos perl para acessar os recursos do Subversion
Group:		Development/Languages/Perl
Obsoletes:	subversion-perl
Requires:	%{name}-libs = %{version}-%{release}

%description -n perl-subversion
Subversion perl bindings.

%description -n perl-subversion -l pl
Dowizania do subversion dla perl.

%description -n perl-subversion -l pt_BR
Mdulos perl para acessar os recursos do Subversion.

%package -n apache-mod_dav_svn
Summary:	Apache module: Subversion Server
Summary(pl):	Modu apache: Serwer Subversion
Group:		Networking/Daemons
Requires:	apache >= 2.0.47
Requires:	apache(modules-api) = %{apache_modules_api}
Requires:	apache-mod_dav
Requires:	%{name} = %{version}-%{release}

%description -n apache-mod_dav_svn
Apache module: Subversion Server.

%description -n apache-mod_dav_svn -l pl
Modu apache: Serwer Subversion.

%package -n apache-mod_authz_svn
Summary:	Apache module: Subversion Server - path-based authorization
Summary(pl):	Modu apache: autoryzacja na podstawie cieki dla serwera Subversion
Group:		Networking/Daemons
Requires:	apache-mod_dav_svn = %{version}-%{release}
Requires:	apache >= 2.0.47
Requires:	apache(modules-api) = %{apache_modules_api}

%description -n apache-mod_authz_svn
Apache module: Subversion Server - path-based authorization.

%description -n apache-mod_authz_svn -l pl
Modu apache: autoryzacja na podstawie cieki dla serwera Subversion.

%prep
%setup -q
#%patch0 -p0
#%patch1 -p1

%build
cp -f /usr/share/automake/config.sub ac-helpers
chmod +x ./autogen.sh && ./autogen.sh

# don't enable dso - currently it's broken
%configure \
%if %{with net_client_only}
	--without-apache \
	--without-swig \
	--without-apxs \
	--without-berkeley-db \
%else
	--disable-dso \
	--disable-mod-activation \
	--with-apxs=%{_sbindir}/apxs \
	--with-berkeley-db=%{_includedir}/db4:%{_libdir} \
%endif
	%{!?with_internal_neon:--with-neon=%{_prefix}} \
	--with-apr=%{_bindir}/apr-config \
	--with-apr-util=%{_bindir}/apu-config

%{__make}

%if ! %{with net_client_only}
# python
%{__make} swig-py \
	swig_pydir=%{py_sitedir}/libsvn \
	swig_pydir_extra=%{py_sitedir}/svn
# perl
bdir=$(pwd)
%{__make} install-swig-pl-lib \
	LC_ALL=C \
	DESTDIR=${bdir}/swig-pl-lib-buildroot
%{__make}
cd subversion/bindings/swig/perl
env APR_CONFIG=%{_bindir}/apr-config \
    APU_CONFIG=%{_bindir}/apu-config \
	%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
env LIBRARY_PATH=${bdir}/swig-pl-lib-buildroot%{_libdir} %{__make}
cd ../../../../
%endif

# build documentation; build process for documentation is severely
# braindamaged -- authors suggests to untar docbook distribution in
# build directory, hence the hack here
ln -s /usr/share/sgml/docbook/xsl-stylesheets doc/book/tools/xsl
%{__make} -C doc/book all-html

# prepare for %%doc below
mv -f doc/book/book/html-chunk svn-handbook
mkdir svn-handbook/images/
cp -f doc/book/book/images/*.png svn-handbook/images/

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig,bash_completion.d} \
	$RPM_BUILD_ROOT{%{_sysconfdir}/httpd/httpd.conf,%{_apachelibdir},%{_infodir}} \
	$RPM_BUILD_ROOT%{_examplesdir}/{%{name}-%{version},python-%{name}-%{version}}

%{__make} install \
	LC_ALL=C \
	%{!?with_net_client_only:install-swig-py} \
	DESTDIR=$RPM_BUILD_ROOT \
	swig_pydir=%{py_sitedir}/libsvn \
	swig_pydir_extra=%{py_sitedir}/svn

%if ! %{with net_client_only}
%{__make} install-swig-pl-lib \
	LC_ALL=C \
	DESTDIR=$RPM_BUILD_ROOT
%{__make} -C subversion/bindings/swig/perl install \
	DESTDIR=$RPM_BUILD_ROOT
%endif

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/httpd.conf/65_mod_dav_svn.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/httpd.conf/66_mod_authz_svn.conf
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/svnserve
install %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/svnserve
install doc/programmer/design/*.info* $RPM_BUILD_ROOT%{_infodir}/

%if ! %{with net_client_only}
install tools/backup/hot-backup.py $RPM_BUILD_ROOT%{_bindir}/svn-hot-backup

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
find $RPM_BUILD_ROOT%{py_sitedir} -name "*.py" -o -name "*.a" -o -name "*.la" | xargs rm -f
install tools/examples/*.py $RPM_BUILD_ROOT%{_examplesdir}/python-%{name}-%{version}
%endif

install tools/client-side/bash_completion $RPM_BUILD_ROOT/etc/bash_completion.d/%{name}
install tools/examples/*.c $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%post svnserve
if [ -f /var/lock/subsys/svnserve ]; then
	/etc/rc.d/init.d/svnserve restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/svnserve start\" to start subversion svnserve daemon."
fi

%preun svnserve
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/svnserve ]; then
		/etc/rc.d/init.d/svnserve restart 1>&2
	fi
fi

%post -n apache-mod_dav_svn
if [ -f /var/lock/subsys/httpd ]; then
	/etc/rc.d/init.d/httpd restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/httpd start\" to start apache http daemon."
fi

%preun -n apache-mod_dav_svn
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/httpd ]; then
		/etc/rc.d/init.d/httpd restart 1>&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc BUGS CHANGES COPYING INSTALL README
%doc svn-handbook doc/book/misc-docs/misc-docs.html
%doc tools/hook-scripts/*.{pl,py,example}
%doc tools/hook-scripts/mailer/*.{py,example}
%doc tools/xslt/*
%attr(755,root,root) %{_bindir}/svn
%attr(755,root,root) %{_bindir}/svn[!s-]*
%{_mandir}/man1/svn*
%if ! %{with net_client_only}
%{_mandir}/man5/*
%{_mandir}/man8/*
%endif

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*

%files devel
%defattr(644,root,root,755)
%{_includedir}/%{name}*
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_infodir}/svn*
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%if ! %{with net_client_only}
%files svnserve
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/svnserve
%{_mandir}/man?/svnserve*
%attr(754,root,root) /etc/rc.d/init.d/svnserve
%attr(640,root,root) %config(noreplace) %verify(not mtime md5 size) /etc/sysconfig/svnserve

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/svn-hot-backup
/etc/bash_completion.d/%{name}

%files -n python-subversion
%defattr(644,root,root,755)
%doc tools/backup/*.py tools/examples/*.py
%dir %{py_sitedir}/svn
%dir %{py_sitedir}/libsvn
%{py_sitedir}/svn/*.py[co]
%{py_sitedir}/libsvn/*.py[co]
%attr(755,root,root) %{py_sitedir}/libsvn/*.so
%{_examplesdir}/python-%{name}-%{version}

%files -n perl-subversion
%defattr(644,root,root,755)
%{perl_vendorarch}/SVN
%dir %{perl_vendorarch}/auto/SVN
%dir %{perl_vendorarch}/auto/SVN/*
%attr(755,root,root) %{perl_vendorarch}/auto/SVN/*/*.so
%{perl_vendorarch}/auto/SVN/*/*.bs
%{_mandir}/man3/*.3pm*

%files -n apache-mod_dav_svn
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/httpd/httpd.conf/*_mod_dav_svn.conf
%attr(755,root,root) %{_apachelibdir}/mod_dav_svn.so

%files -n apache-mod_authz_svn
%defattr(644,root,root,755)
%doc subversion/mod_authz_svn/INSTALL
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/httpd/httpd.conf/*_mod_authz_svn.conf
%attr(755,root,root) %{_apachelibdir}/mod_authz_svn.so
%endif

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: subversion.spec,v $
Revision 1.92.2.2  2004/03/15 14:30:09  ankry
- rel. 2

Revision 1.92.2.1  2004/03/15 14:28:42  ankry
- for Ra

Revision 1.92  2004/03/14 11:55:22  domelu
- BR: which (by Paszczus)

Revision 1.91  2004/03/13 14:45:57  arekm
- updated to 1.0.1

Revision 1.90  2004/02/24 00:06:14  wolf
- no cvs2svn manpage

Revision 1.89  2004/02/23 23:52:23  wolf
- md5 is not a christmas tree decoration
- net_client_only is broken

Revision 1.88  2004/02/23 21:36:02  wolf
- s/R: python/&-devel/

Revision 1.87  2004/02/23 13:37:03  alchemyx
- updated to 1.0.0
- source file format changed to bz2
- still needs some work

Revision 1.86  2004/02/16 14:01:28  jajcus
- Release: 2
- TODO removed (seems done)
- inter-subpackage dependencies with %{version}-%{release} value

Revision 1.85  2004/02/16 13:26:24  jajcus
- allow to provide number of backups to leave on hot-backup command line (-hot_backup_num.patch)

Revision 1.84  2004/02/16 12:49:56  jajcus
- examples to %{_examplesdir}
- bash completion script added
- hot-backup.py installed as %{_bindir}/svn-hot-backup in -tools subpackage
- not installed python files removed from BUILD_ROOT

Revision 1.83  2004/01/27 01:27:51  arekm
- fix swig requirements

Revision 1.82  2004/01/25 19:23:22  arekm
- updated to 0.37.0

Revision 1.81  2004/01/14 23:40:55  arekm
- updated to 0.36.0

Revision 1.80  2004/01/08 10:33:37  jajcus
- Release: 2

Revision 1.79  2004/01/08 10:27:56  jajcus
- _apachelibdir fixed

Revision 1.78  2004/01/08 09:16:19  jajcus
- BuildRequires: swig = 1.3.19 :-(

Revision 1.77  2003/12/22 17:18:49  wolf
- move requirements to the right place

Revision 1.76  2003/12/22 16:27:56  wolf
- missing BR

Revision 1.75  2003/12/21 10:27:55  arekm
- updated to 0.35.1

Revision 1.74  2003/12/20 00:45:17  arekm
- updated to 0.35.0

Revision 1.73  2003/12/05 00:09:44  arekm
- again BR: swig-perl (ankry broke it with cosmetics)

Revision 1.72  2003/12/04 23:46:31  arekm
- fix autoconf requirement

Revision 1.71  2003/12/04 22:16:52  arekm
- updated to 0.34.0 (fs schema changed so DUMP/LOAD cycle REQUIRED)

Revision 1.70  2003/11/30 23:28:41  ankry
- cosmetics

Revision 1.69  2003/11/30 20:51:54  arekm
- BR: swig-perl

Revision 1.68  2003/11/30 14:13:51  arekm
- rel 4; fix building perl bindings; require proper perl version

Revision 1.67  2003/11/27 00:40:58  arekm
- rel 3

Revision 1.66  2003/11/19 20:05:22  arekm
- new subpackage with perl bindings; - new subpackage with standalone subversion server; rel 2

Revision 1.65  2003/11/18 21:15:08  arekm
- updated to 0.33.1

Revision 1.64  2003/11/15 13:10:54  arekm
- updated to 0.33 (note that autoconf 2.58 is broken and subversion won't build with it)

Revision 1.63  2003/10/28 09:48:04  arekm
- update apr requirements

Revision 1.62  2003/10/25 23:21:16  arekm
- require new rcsparse package

Revision 1.61  2003/10/23 21:00:40  arekm
- updated to 0.32.1

Revision 1.60  2003/10/12 12:27:06  qboosh
- fix-info-dir is not required
- removed redundant python deps (BR python 2.2 + pyrequires_eq is enough)

Revision 1.59  2003/10/08 21:38:47  arekm
- updated to 0.31.0

Revision 1.58  2003/09/25 01:22:15  arekm
- tools subpackage introduced (right now only cvs2svn there)

Revision 1.57  2003/09/24 23:11:13  arekm
- updated to 0.30.0

Revision 1.56  2003/09/14 18:34:18  blues
- some cosmetics

Revision 1.55  2003/09/14 01:18:47  arekm
- define to zero if it's not needed (for example on ra)

Revision 1.54  2003/09/13 22:30:12  arekm
- rel 0.2

Revision 1.53  2003/09/13 16:42:58  arekm
- net_client_only bcond (allows to build networked client without need to have apache2-devel nor db4-devel nor swig3-devel)

Revision 1.52  2003/09/13 13:20:34  arekm
- update BR for new apache/apr

Revision 1.51  2003/09/12 12:08:34  arekm
- added BR: libxslt-progs

Revision 1.50  2003/09/07 21:10:05  arekm
- updated to 0.29.0

Revision 1.49  2003/08/28 11:37:03  wiget
- updated to 0.28
- added --with internal_neon bcond
- fixed BR: neon-devel
WARNING: this version requires dump/load cycle from pre 0.28 repos

Revision 1.48  2003/08/23 11:53:33  malekith
- builds fine; rel 0.2
- but still needs neon 0.23.9 to support http:// :(

Revision 1.47  2003/08/23 11:26:25  malekith
- started updated to 0.27.0

Revision 1.46  2003/08/18 08:09:34  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.45  2003/08/06 00:45:15  wiget
- typo in version

Revision 1.44  2003/08/06 00:29:30  wiget
- updated to 0.26.0

Revision 1.43  2003/07/22 17:40:56  wiget
- rebuild with new python

Revision 1.42  2003/07/21 11:20:10  djrzulf
- no builds without problems,

Revision 1.41  2003/07/17 09:39:59  wiget
- remove internal version of %%requires_eq_to (not used now)
- use %%{apache_modules_api} in Requires (to prevent rebuilding subversion on
  apache version change but without modules API change)
- BR apache-devel with fixed libtool (relink issue)
- remove relink workaround

Revision 1.40  2003/07/17 09:04:17  malekith
- relinking hack; need some autocrap guru to do this properly

Revision 1.39  2003/07/16 20:49:51  malekith
- up to 0.25, nfy

Revision 1.38  2003/07/16 19:22:58  malekith
- release 0.2 (rebuild with apache 2.0.47)

Revision 1.37  2003/06/20 09:09:18  wiget
- up to 0.24.2

Revision 1.36  2003/06/18 07:32:05  qboosh
- pl for mod_authz_svn, cosmetics

Revision 1.35  2003/06/17 22:00:12  wiget
- updated to 0.24.1 (call it "kernel release")
- info moved to -devel
- added apache-mod_authz_svn subpackage with path-based ACL for subversions repos
- fixed python subpackage
- removed unneeded hack for installing apache modules (now work correct with DESTDIR install)
- manualy install info files

Revision 1.34  2003/06/04 21:21:45  trojan
- BR: apache-devel, apr-devel >= 2.0.46-0.2 (do not build with 2.0.46-0.1)

Revision 1.33  2003/06/04 09:51:10  wiget
- rebuild with apache 2.0.46

Revision 1.32  2003/05/28 13:02:06  malekith
- massive attack: source-md5

Revision 1.31  2003/05/25 06:27:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.30  2003/05/20 09:20:25  wiget
- updated to 0.23.0

Revision 1.29  2003/05/10 15:56:27  wiget
- up to 0.22.1 (not tested yet)

Revision 1.28  2003/05/06 15:00:42  wiget
- gdbm-devel is R: by apr-devel not by subversion

Revision 1.27  2003/05/06 13:53:59  jareq
- BR: gdbm-devel

Revision 1.26  2003/04/23 07:12:47  wiget
- updated to 0.21.0

Revision 1.25  2003/04/09 22:08:13  malekith
- added swig-version patch; it builds now
- release 0.2

Revision 1.24  2003/04/03 16:37:52  wiget
- start update to 0.20.1

Revision 1.23  2003/03/25 10:08:08  wiget
- release 1
- rebuild with fixed apache

Revision 1.22  2003/03/13 17:44:13  wiget
- up to 0.19.1

Revision 1.21  2003/02/26 12:41:36  wiget
- define %%requires_eq_to and use it (fix problem with requires generation if apache-mod_dav is not installed)
- rel .1

Revision 1.20  2003/02/25 12:10:49  malekith
- updated to 0.18.0-r5063
- fixed pl summary
- db4-devel -> db-devel
- updated br's

Revision 1.19  2003/01/24 08:37:55  qboosh
- typos, added -l pl to pl description for mod_dav_svn

Revision 1.18  2003/01/23 23:02:14  kloczek
- merge translations from Conectiva,
- added Obsoletes rules for MDK.

Revision 1.17  2002/11/25 14:18:45  ankry
- massive attack: no need for 755 for *.la

Revision 1.16  2002/09/29 17:58:59  misiek
- updated to 0.14.3-r3252

Revision 1.15  2002/09/28 23:29:54  misiek
- some updates

Revision 1.14  2002/08/03 18:45:31  misiek
- r2872

Revision 1.13  2002/08/03 13:21:23  misiek
- moved svn-config to devel subpackage

Revision 1.12  2002/07/31 19:23:04  misiek
- updated to r2817

Revision 1.11  2002/07/26 21:02:02  misiek
- ALPHA 0.14.0 release

Revision 1.10  2002/04/12 19:03:34  misiek
- use todays svn snapshot

Revision 1.9  2002/04/12 17:04:45  misiek
- new subpackages: libs and python; release 3

Revision 1.8  2002/04/11 18:48:40  misiek
- release 2

Revision 1.7  2002/04/11 17:04:59  misiek
- two more fixes

Revision 1.6  2002/04/11 16:55:08  misiek
- fix make install with swig

Revision 1.5  2002/04/11 16:47:26  misiek
apr tools are in bindir now

Revision 1.4  2002/04/11 16:41:47  misiek
- migrate to new style apache configuration

Revision 1.3  2002/04/09 00:32:42  misiek
- some *.so are needed in main packages (todo: move them somewhere)

Revision 1.2  2002/04/08 22:45:22  kloczek
- !sort BuildRequires rules.

Revision 1.1  2002/04/08 21:46:39  misiek
- initial pld release
